#!/bin/sh

count=0

for src in $@; do
    case $count in
	0)
	    pkttools="$src"
	    ;;
	1)
	    type="$src"
	    ;;
	2)
	    srvmacaddr="$src"
	    ;;
	3)
	    usrmacaddr="$src"
	    ;;
	4)
	    srvipaddr="$src"
	    ;;
	5)
	    usripaddr="$src"
	    ;;
	*)
	    srcs="$srcs $src"
	    ;;
    esac
    count=`expr $count + 1`
done

case $type in
server)
	tools="pkt-filter"
	;;
player)
	tools="pkt-change"
	;;
*)
	tools="pkt-filter pkt-change"
	;;
esac

for src in $srcs; do
    if [ ! -d $src ]; then
	cp -R $pkttools $src
    fi
    cp src/filter-${src}.c $src/filter.c
    rm -f $src/filter.o
    if [ -f src/change-${src}.c ]; then
	cp src/change-${src}.c $src/change.c
	rm -f $src/change.o
    fi
    cp src/val_define.c $src
    cp src/val_set.c $src
    cd $src
    rm -f libpkt.a
    rm -f "$tools"
    make "$tools" \
	CC="gcc -DNUMBER=\\\"${src}\\\" -DSRVMACADDR=\\\"${srvmacaddr}\\\" -DUSRMACADDR=\\\"${usrmacaddr}\\\" -DSRVIPADDR=\\\"${srvipaddr}\\\" -DUSRIPADDR=\\\"${usripaddr}\\\""
    cd ..
done
